%define major                   2
%define libname                 %mklibname %{name} %{major}
%define libnamedev              %mklibname %{name} -d
%define libnamestaticdev        %mklibname %{name} -d -s
%define ulock_major		1

Summary:        Interface for userspace programs to export a virtual filesystem to the kernel
Name:           fuse
Version:        2.8.4
Release:        %mkrel 1
Epoch:          0
License:        GPL
Group:          System/Libraries
URL:            http://sourceforge.net/projects/fuse/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source2:        fuse-makedev.d-fuse
Patch0:		fuse-2.8.0-fix-str-fmt.patch
Patch1:		mount-readlink-hang-workaround.patch
Requires(post): makedev
Requires(post): rpm-helper
Requires(preun): rpm-helper
Obsoletes:      dkms-fuse <= 0:2.7.4-1mdv2009.0
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n %{libnamedev}
Summary:        Header files and development libraries for libfuse2
Group:          Development/C
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Obsoletes:	%libname-devel

%description -n %{libnamedev}
Header files and development libraries for fuse.

%package -n %{libname}
Summary:        Libraries for fuse
Group:          Development/C

%description -n %{libname}
Libraries for fuse.

%package -n %{libnamestaticdev}
Summary:        Static libraries for fuse
Group:          Development/C
Provides:       %{name}-static-devel = %{epoch}:%{version}-%{release}
Requires:       %{libnamedev} = %{epoch}:%{version}-%{release}
Obsoletes:	%libname-static-devel

%description -n %{libnamestaticdev}
Static libraries for fuse.

%prep

%setup -q
%patch0 -p0
%patch1 -p1
%{__sed} -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in
%{__perl} -pi -e 's|INIT_D_PATH=.*|INIT_D_PATH=%{_initrddir}|' configure*

%build
#libtoolize --copy --force; aclocal; autoconf; automake

%configure2_5x \
    --libdir=/%{_lib} \
    --bindir=/bin \
    --exec-prefix=/

%make

%install
%{__rm} -rf %{buildroot}

%makeinstall_std

%{__mkdir_p} %{buildroot}%{_sysconfdir}/makedev.d
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

%{__mkdir_p} %{buildroot}%{_libdir}
%{__mv} %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}

%{__mkdir_p} %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
%{__ln_s} /bin/fusermount fusermount
%{__ln_s} /bin/ulockmgr_server ulockmgr_server
popd

rm -fr %{buildroot}%{_sysconfdir}/rc.d/init.d %{buildroot}%{_sysconfdir}/udev/rules.d


%preun
if [ -f %{_sysconfdir}/rc.d/init.d/fuse ]; then
  chkconfig --del fuse
fi


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING COPYING.LIB ChangeLog FAQ Filesystems INSTALL NEWS README README.NFS
%attr(0755,root,root) /sbin/mount.fuse
%attr(4755,root,root) /bin/fusermount
%attr(0755,root,root) /bin/ulockmgr_server
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%{_bindir}/fusermount
%{_bindir}/ulockmgr_server
%exclude /%{_lib}/libulockmgr.a
%exclude /%{_lib}/libulockmgr.la

%files -n %{libname}
%defattr(-,root,root,0755)
/%{_lib}/libfuse.so.%{major}*
/%{_lib}/libulockmgr.so.%{ulock_major}*

%files -n %{libnamedev}
%defattr(-,root,root,0755)
%{_includedir}/*
/%{_lib}/libfuse.la
/%{_lib}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdev}
%defattr(0644,root,root,0755)
/%{_lib}/libfuse.a


%changelog
* Wed Apr 28 2010 Emmanuel Andry <eandry@mandriva.org> 0:2.8.4-1mdv2010.1
+ Revision: 540549
- New version 2.8.4

* Tue Feb 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0:2.8.3-1mdv2010.1
+ Revision: 499742
- Update to new version 2.8.3
- Rediff mount readlink hang workaround patch

* Tue Nov 17 2009 Pascal Terjan <pterjan@mandriva.org> 0:2.8.1-3mdv2010.1
+ Revision: 466960
- Fix hang on .gvfs (#53208)

* Fri Nov 13 2009 Pascal Terjan <pterjan@mandriva.org> 0:2.8.1-2mdv2010.1
+ Revision: 465731
- Drop kernel-source BuildRequires

* Sun Sep 27 2009 Emmanuel Andry <eandry@mandriva.org> 0:2.8.1-1mdv2010.0
+ Revision: 449972
- New version 2.8.1

* Tue Sep 08 2009 Emmanuel Andry <eandry@mandriva.org> 0:2.8.0-1mdv2010.0
+ Revision: 433639
- New version 2.8.0
- drop P1 (fixed differently)
- diff P0 to fix string format not literal

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.7.4-6mdv2010.0
+ Revision: 424500
- rebuild

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.7.4-5mdv2010.0
+ Revision: 384351
- drop udev default node, /dev/fuse is now always created by start_udev

* Tue May 05 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.7.4-4mdv2010.0
+ Revision: 372205
- Fix udev nodes config file, was not working at all
- remove initscripts and fuse group usage, use udev instead
- ensure /dev/fuse is available after package installation

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0:2.7.4-3mdv2009.1
+ Revision: 317983
- rebuild

* Tue Sep 09 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0:2.7.4-2mdv2009.0
+ Revision: 283177
- Remove dkms-fuse. With kernel 2.6.27 it's obsolete, as NFS exporting
  support went in mainline fuse module, a feature that was only provided
  until now by out-of-tree fuse version in dkms-fuse. Since currently
  all provided kernels in main and contrib were updated to 2.6.27-rcX,
  there is no problem in just removing dkms-fuse now. Next fuse versions
  will drop the out-of-tree fuse module too.

* Thu Aug 07 2008 Emmanuel Andry <eandry@mandriva.org> 0:2.7.4-1mdv2009.0
+ Revision: 266401
- New version

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0:2.7.3-3mdv2009.0
+ Revision: 232104
- fix deps
- added P1 to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 25 2008 Emmanuel Andry <eandry@mandriva.org> 0:2.7.3-1mdv2008.1
+ Revision: 174505
- New version
- use major version check

* Fri Jan 04 2008 Jérôme Soyer <saispo@mandriva.org> 0:2.7.2-1mdv2008.1
+ Revision: 144895
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Pascal Terjan <pterjan@mandriva.org>
    - Don't use the number of processor of the machine building the rpm when building the module with dkms

* Sun Nov 18 2007 David Walluck <walluck@mandriva.org> 0:2.7.1-2mdv2008.1
+ Revision: 109791
- fix bug #32137

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 0:2.7.1-1mdv2008.1
+ Revision: 100930
- update to new version 2.7.1
- fix source tarball URL

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0:2.7.0-6mdv2008.0
+ Revision: 94480
- update to new version

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 0:2.7.0-5mdv2008.0
+ Revision: 75135
- Obsoletes old devel package

* Tue Aug 14 2007 David Walluck <walluck@mandriva.org> 0:2.7.0-4mdv2008.0
+ Revision: 62857
- update to new lib policy
- don't call makedev in %%post

* Mon Aug 06 2007 David Walluck <walluck@mandriva.org> 0:2.7.0-3mdv2008.0
+ Revision: 59233
- handle makedev failure
- add udev rules from Fedora
- change file locations to those in Fedora
- libtool hack no longer needed
- parallel make seems to work

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 0:2.7.0-1mdv2008.0
+ Revision: 49380
- New version

* Fri Jul 06 2007 Götz Waschk <waschk@mandriva.org> 0:2.6.5-2mdv2008.0
+ Revision: 49168
- fix pinit loop with dkms

* Sun May 27 2007 David Walluck <walluck@mandriva.org> 0:2.6.5-1mdv2008.0
+ Revision: 31779
- 2.6.5
- move .la file to devel package

* Sat Apr 28 2007 David Walluck <walluck@mandriva.org> 0:2.6.4-1mdv2008.0
+ Revision: 18825
- 2.6.4


* Mon Feb 05 2007 David Walluck <walluck@mandriva.org> 2.6.3-1mdv2007.0
+ Revision: 116181
- 2.6.3

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-7mdv2007.1
+ Revision: 101618
- use correct /usr/src directory
- force initscript gprintf usage to stop additional newlines

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-6mdv2007.1
+ Revision: 101424
- fix typo in initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-5mdv2007.1
+ Revision: 101410
- add status to initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-4mdv2007.1
+ Revision: 101323
- even more fixes to initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-3mdv2007.1
+ Revision: 101139
- more fixes to initscript
- fix initscript
  fix dkms build

* Thu Dec 21 2006 David Walluck <walluck@mandriva.org> 2.6.1-1mdv2007.1
+ Revision: 100933
- require libtool
- 2.6.1
- Import fuse

* Wed May 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.5.3-3mdk
- patch 0: fix udev rule for newer udev

* Tue May 23 2006 David Walluck <walluck@mandriva.org> 2.5.3-2mdk
- use %%{release} for dkms

* Tue Apr 11 2006 David Walluck <walluck@mandriva.org> 2.5.3-1mdk
- 2.5.3

* Sat Feb 25 2006 David Walluck <walluck@mandriva.org> 2.5.2-3mdk
- can't use %%configure macro in MAKE[0]

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-2mdk
- replace %%make with %%{__make} for dkms module
- try --enable-kernel-module for dkms-module

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-1mdk
- 2.5.2
- use macros in MAKE[0]
- add Source0 URL
- fix Group
- add Provides: %%{_lib}fuse-{,static-}devel
- mark 40-fuse.rules as %%config(noreplace)

* Wed Jan 04 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.4.2-1mdk
- from Moreno Manzini <moreno.mg@gmail.com> :
	o 2.4.2

* Tue Oct 18 2005 Olivier Thauvin <nanardon@mandriva.org> 2.4.0-1mdk
- 2.4.0

* Thu Jun 30 2005 Pascal Terjan <pterjan@mandriva.org> 2.3.0-2mdk
- add dkms subpackage

* Mon Jun 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.0-1mdk
- 2.3.0

* Thu May 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.1-2mdk
- fix provides
- compile with $RPM_OPT_FLAGS
- %%mkrel
- fix summary-ended-with-dot
- cosmetics

* Tue May 10 2005 Lenny Cartier <lenny@mandriva.com> 2.2.1-1mdk
- 2.2.1

* Tue Oct 05 2004 Tigrux <tigrux@ximian.com> 1.9-1mdk
- New version

* Tue Oct 05 2004 Tigrux <tigrux@ximian.com> 1.3-1mdk
- First rpm for Mandrake

